#specfile originally created for Fedora, modified for Moblin Linux
# Supported build option:
#
# --with nls ... build this package with --enable-nls 

Name:           help2man
Summary:        Create simple man pages from --help output
Version:        1.36.4
Release:        5.84.moblin2
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.gnu.org/software/help2man
Source:         ftp://ftp.gnu.org/gnu/help2man/help2man-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%{!?_with_nls:BuildArch: noarch}
%{?_with_nls:BuildRequires: perl(Locale::gettext)}
%{?_with_nls:Requires: perl(Locale::gettext)}

Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
help2man is a script to create simple man pages from the --help and
--version output of programs.

Since most GNU documentation is now in info format, this provides a
way to generate a placeholder man page pointing to that resource while
still providing some useful information.

%prep
%setup -q -n help2man-%{version}
iconv -f ISO-8859-1 -t utf-8 THANKS > THANKS~
mv THANKS~ THANKS

%build

%configure %{!?_with_nls:--disable-nls}
make %{?_smp_mflags}

# Fix up manpage encoding
for f in help2man.*.h2m; do
  b=$(basename $f .h2m);
  c=$(grep 'charset: ISO-*' $f | sed -e 's,^.*: ,,')
  iconv -f $c -t utf-8 -o $b.1~ $b.1
  mv $b.1~ $b.1
done

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install_l10n DESTDIR=$RPM_BUILD_ROOT

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ -e %{_infodir}/help2man.info ] && /sbin/install-info %{_infodir}/help2man.info %{_infodir}/dir 2>/dev/null || :

%preun
if [ $1 -eq 0 ]; then
  [ -e %{_infodir}/help2man.info ] && /sbin/install-info --delete %{_infodir}/help2man.info \
    %{_infodir}/dir 2>/dev/null || :
fi

%files
%defattr(-, root, root,-)
%doc README NEWS THANKS
%{_bindir}/help2man
%doc %{_infodir}/*
%doc %{_mandir}/man1/*

%if "%{?_with_nls}"
%{_libdir}/*.so
%endif
%doc %lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/help2man.mo
%doc %lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/help2man.mo
%doc %lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/help2man.mo
%doc %lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/help2man.mo
%doc %lang(pl) %{_mandir}/pl/man1/*
%doc %lang(fi) %{_mandir}/fi/man1/*
%doc %lang(fr) %{_mandir}/fr/man1/*
%doc %lang(sv) %{_mandir}/sv/man1/*

%changelog
* Thu Sep 18 2008 Austin Zhang <austin.zhang@intel.com> 1.36.4
- add check for the info file before installation
* Sun Feb 10 2008 @freenet.de> - 1.36.4-2
- Update license tag.
- Convert THANKS to utf-8.
* Tue Sep  5 2006 @freenet.de> - 1.36.4-1
- Upstream update.
- utf-8 encode l10n'd man pages.
* Fri Dec 23 2005 @freenet.de> - 1.36.3-1
- Upstream update.
- Add build option --with nls.
* Fri Dec 23 2005 @freenet.de> - 1.35.1-2
- Fix disttag (#176473).
- Cleanup spec.
  * Fri Apr 29 2005 Ralf Corsepius <ralf[AT]links2linux.de> - 1.35.1-1
- Update to 1.35.1
- Minor spec fixes.
